mscorlib 4.0.0.0 System.Enum System.Flags

You can create a registry key that is available only in memory and that will not be persisted when the computer is restarted. This is known as a volatile key. You can specify that you want to create a volatile or non-volatile key by using the method overloads that take an parameter.

Specifies options to use when creating a registry key.

- Field
  4.0.0.0
  Microsoft.Win32.RegistryOptions

  A non-volatile key. This is the default.

- Field
  4.0.0.0
  Microsoft.Win32.RegistryOptions

  A volatile key. The information is stored in memory and is not preserved when the corresponding registry hive is unloaded.